#include <WiFi.h>
#include <WiFiClient.h>
#include <WebServer.h>

#include "M5Atom.h"

const char* ssid = "abc";
const char* password = "def";

WebServer server(80);
IPAddress apIP(192, 168, 178, 1);

int btnCounter = 0;

void setup() {
  M5.begin(true, false, true);
  delay(20);

  Serial.begin(9600);
  WiFi.mode(WIFI_STA);
  WiFi.begin(ssid, password);

  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }

  Serial.println("");
  Serial.print("IP Addresse: ");
  Serial.println(WiFi.localIP());
  server.on("/", handleStartpage);
  server.onNotFound(handlePageNotFound);
  server.begin();
  Serial.println("HTTP Server gestartet");
}

void handleStartpage() {
  String page = "";
  page += "<!DOCTYPE html>";
  page += "<html>";
  page += " <head>";
  page += "   <meta charset='utf-8'>";
  page += "   <meta http-equiv='refresh' content='2'>";
  page += "   <title>Zähler mit dem ATOM Lite</title>";
  page += " </head>";
  page += " <style>";
  page += "   span .zahl{font-weight:bold;}";
  page += " </style>";
  page += " <body>";
  page += "   <span>Du hast <span class='zahl'>" + String(btnCounter, DEC) + "</span> mal auf den Taster geklickt!</span>";
  page += " </body>";
  page += "</html>";
  server.send(200, "text/html", page);
}

void handlePageNotFound() {
  String page = "";
  page += "<!DOCTYPE html>";
  page += "<html>";
  page += "<head><title>Error HTTP 404</title></head>";
  page += "<body>";
  page += "<h1>Page not found!</h1>";
  page += "</body>";
  page += "</html>";
  server.send(404, "text/html", page);
}

void loop(void) {
  server.handleClient();

  if (M5.Btn.wasPressed()) {
    btnCounter++;
    Serial.println(btnCounter);
  }
  delay(50);
  M5.update();
}
